Update Agent
curl --request PUT \
--url https://api.example.com/api/agents/{agentId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"systemPrompt": "<string>",
"model": "<string>"
}
'import requests
url = "https://api.example.com/api/agents/{agentId}"
payload = {
"name": "<string>",
"description": "<string>",
"systemPrompt": "<string>",
"model": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
systemPrompt: '<string>',
model: '<string>'
})
};
fetch('https://api.example.com/api/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {}
}Agents
Update Agent
PUT
/
api
/
agents
/
{agentId}
Update Agent
Description
Update an existing agent.Authentication
Required (API key or JWT token)Path Parameters
string
required
The ID of the agent to update
Request Body
string
Updated agent name
string
Updated description
string
Updated system prompt
string
Updated AI model
Response
object
Updated agent object
Was this page helpful?
⌘I